Bug 21132 - Solaris 8 "stpcpy" problem
Summary: Solaris 8 "stpcpy" problem
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.0
Hardware: sparc Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 17:10 UTC by Joe Orton
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-22 15:09:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for stpcpy problem on Solaris 8 (775 bytes, patch)
2000-11-20 17:11 UTC, Joe Orton
no flags Details | Diff

Description Joe Orton 2000-11-20 17:10:14 UTC
The Solaris 8 build failed when building 'dump' in the build directory,
giving the error:

Undefined                       first referenced
 symbol                             in file
stpcpy                              ../rpmio/.libs/librpmio.a(rpmio.o)

Comment 1 Joe Orton 2000-11-20 17:11:08 UTC
Created attachment 5562 [details]
Patch for stpcpy problem on Solaris 8

Comment 2 Joe Orton 2000-11-20 17:13:42 UTC
stpcpy was being compiled correctly into librpm.a, but this came 
earlier in the link order than librpmio.a, so it didn't get picked up.
The patch attached moves librpm.a later; not sure if this is correct though.



Comment 3 Jeff Johnson 2000-12-22 15:09:41 UTC
I understand the problem, but changing the order is not the right approach, as I
wish
the library search order to be linear
	librpmbuild -> librpm -> librpmio -> libpopt [ -> libmisc ]
What's needed is to move the lib/stubs.c code from librpm to librpmio, so that
stpcpy will
end up in librpmio if needed by shared libraries on non-linux platforms.

Comment 4 Jeff Johnson 2000-12-30 18:33:47 UTC
Fixed in rpm CVS for both rpm-4.0.[12].


Note You need to log in before you can comment on or make changes to this bug.